Name:		manatee-open
Version:		2.158.8
Release:		4%{?dist}
Summary:	Corpus management and query system
Group:		Applications/Databases
License:	GPLv2+
URL:		http://nlp.fi.muni.cz/trac/noske/
Source0:        manatee-open-%{version}.tar.gz
Source1:	susanne-example-source.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:      finlib < 2.36.7-2
Conflicts:      finlib < 2.36.7-2

Requires:       m4
Requires:       glibc-common
Requires:       parallel
Requires:       pcre >= 8.10

BuildRequires:  pcre-devel > 8.10
BuildRequires:  gcc-c++
BuildRequires:  python-devel
BuildRequires:  bison
BuildRequires:  libtool-ltdl-devel
BuildRequires:  autoconf-archive
BuildRequires:	util-linux
BuildRequires:	java-devel
BuildRequires:	ruby-devel
BuildRequires:	perl-devel

%description
Manatee is a corpus management and query system.

%package python
Summary:	Python bindings for Manatee
Requires:	%{name} = %{version}-%{release}
Group:		Applications/Databases

%description python
This package contains Python bindings for Manatee which are necessary if you
want to use Manatee from Python environment.

%package perl
Summary:	Perl bindings for Manatee
Requires:	%{name} = %{version}-%{release}
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Group:		Applications/Databases

%description perl
This package contains Perl bindings for Manatee which are necessary if you
want to use Manatee from Perl environment.

%package ruby
Summary:	Ruby bindings for Manatee
Requires:	%{name} = %{version}-%{release}
Requires:	ruby  > 1.8
Group:		Applications/Databases

%description ruby
This package contains Ruby bindings for Manatee which are necessary if you
want to use Manatee from Ruby environment.

%package java
Summary:	Java bindings for Manatee
Requires:	%{name} = %{version}-%{release}
Group:		Applications/Databases

%description java
This package contains Java JNI bindings for Manatee which are necessary if you
want to use Manatee from Java environment.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

Requires:   %{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package static
Summary:	Manatee static libaries
Group:		Development/Libraries

Requires:   %{name}-devel = %{version}-%{release}

%description static
This package contains Manatee static libraries.


%package susanne
Summary:	Example Manatee corpus SUSANNE %{name}
Group:		Applications/Databases
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description susanne
This package contains example corpus SUSANNE encoded for Manatee.

%prep
%setup -q
%setup -q -T -D -a 1
find api/* -type f -exec sed -i 's|^#!/usr/bin/env |#!/usr/bin/|'  {} ';'
find api/* -type f -exec sed -i 's|^#! /usr/bin/env |#!/usr/bin/|'  {} ';'

%build
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -lltdl"
export CFLAGS="$RPM_OPT_FLAGS -lltdl"
export CXXFLAGS="$RPM_OPT_FLAGS -lltdl"
export RUBY_SITE_PKG=%{ruby_vendorarchdir}

sed -i 's|LIBLTDL=.*|LIBLTDL=|' configure 
sed -i 's|SUBDIRS = $(FINLIB_SUBDIRS) libltdl|SUBDIRS = $(FINLIB_SUBDIRS)|' Makefile.in

%configure  --enable-cxxlib --with-gnu-ld --with-pcre --enable-ltdl-install=no --enable-perl --enable-ruby --enable-java

# remove rpaths
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%global manatee_dir %{_sharedstatedir}/manatee
export MANATEE_REGISTRY=%{manatee_dir}/registry
make %{?_smp_mflags}

# encode example SUSANNE corpus
mkdir susanne
export PATH=`pwd`/api:`pwd`/src:$PATH
export PYTHONPATH=`pwd`/api:`pwd`/api/.libs:$PYTHONPATH
api/compilecorp --recompile-corpus ./susanne-example-source/config susanne-example-source/source

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name *.la -delete

# install SUSANNE corpus
mkdir -p $RPM_BUILD_ROOT%{manatee_dir}/{data,vert,registry}
sed -i -e 's|PATH.*|PATH "%{manatee_dir}/data/susanne"|' -e 's|VERTICAL.*|VERTICAL "%{manatee_dir}/vert/susanne.vert"|' susanne-example-source/config
cp -p susanne-example-source/config $RPM_BUILD_ROOT%{manatee_dir}/registry/susanne
cp -rp susanne $RPM_BUILD_ROOT%{manatee_dir}/data/
rm -rf $RPM_BUILD_ROOT%{manatee_dir}/data/susanne/log
cp -p susanne-example-source/source $RPM_BUILD_ROOT%{manatee_dir}/vert/susanne.vert

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog doc
%{_bindir}/corpinfo
%{_bindir}/encodevert
%{_bindir}/lscbgr
%{_bindir}/lsclex
%{_bindir}/manateesrv
%{_bindir}/mkdynattr
%{_bindir}/mknormattr
%{_bindir}/mknorms
%{_bindir}/mkvirt
%{_bindir}/mkalign
%{_bindir}/mksizes
%{_bindir}/dumpattrrev
%{_bindir}/dumpattrtext
%{_bindir}/dumpstructrng
%{_bindir}/dumpalign
%{_bindir}/lsalsize
%{_bindir}/mkregexattr
%{_bindir}/dumpbits
%{_bindir}/dumpdrev
%{_bindir}/dumpdtext
%{_bindir}/lsbgr
%{_bindir}/lslex
%{_bindir}/mkbgr
%{_bindir}/mkdrev
%{_bindir}/mkdtext
%{_bindir}/mklex
%{_bindir}/parmkdynattr
%{_libdir}/libmanatee.so.*
%dir %{manatee_dir}/data
%dir %{manatee_dir}/vert
%dir %{manatee_dir}/registry

%files python
%defattr(-,root,root,-)
%{_bindir}/addwcattr
%{_bindir}/concinfo
%{_bindir}/corpquery
%{_bindir}/decodevert
%{_bindir}/freqs
%{_bindir}/lslexarf
%{_bindir}/lsslex
%{_bindir}/mksubc
%{_bindir}/mkstats
%{_bindir}/compilecorp
%{_bindir}/corpcheck
%{_bindir}/devirt
%{_bindir}/par2tokens
%{_bindir}/parencodevert
%{_bindir}/tokens2dict
%{_bindir}/mkbidict
%{_bindir}/vertfork
%{python_sitearch}/*  

%files java
%defattr(-,root,root,-)
%{_libdir}/manatee/
%doc api/example.java

%files perl
%defattr(-,root,root,-)
%{perl_vendorarch}/*
%doc api/corpquery.pl

%files ruby
%defattr(-,root,root,-)
%{ruby_vendorarchdir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/manatee/
%{_libdir}/*.so

%files static
%defattr(-,root,root,-)
%{_libdir}/*.a

%files susanne
%defattr(-,root,root,-)
%{manatee_dir}/data/susanne/
%{manatee_dir}/vert/susanne.vert
%{manatee_dir}/registry/susanne

%changelog
* Fri Mar 02 2018 Jan Bušta - 2.158.8-4
- rebuilt

* Fri Mar 02 2018 Jan Bušta - 2.158.8-3
- rebuilt

* Fri Mar 02 2018 Jan Bušta - 2.158.8-2
- rebuilt

